RMIServerImpl_Stub (Java Platform SE 8 )
Keywords: javax.management.remote.rmi.RMIServerImpl_Stub class
Date: 2026-04-17

compact3
javax.management.remote.rmi

## Class RMIServerImpl_Stub

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteStub
    - - javax.management.remote.rmi.RMIServerImpl_Stub

- All Implemented Interfaces:
    Serializable, Remote, RMIServer

      public final class RMIServerImpl_Stub
      extends RemoteStub
      implements RMIServer

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.server.RemoteObject

      `ref`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMIServerImpl_Stub(RemoteRef ref)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getVersion()` The version of the RMI Connector Protocol understood by this connector server.
    `RMIConnection` | `newClient(Object $param_Object_1)` Makes a new connection through this RMI connector.

    - ### Methods inherited from class java.rmi.server.RemoteStub

      `setRef`

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RMIServerImpl_Stub

          public RMIServerImpl_Stub(RemoteRef ref)

  - ### Method Detail

    - #### getVersion

          public String getVersion()
                            throws RemoteException

      Description copied from interface: `RMIServer`

      The version of the RMI Connector Protocol understood by this connector server. This is a string with the following format:

           protocol-version implementation-name

      The `protocol-version` is a series of two or more non-negative integers separated by periods (`.`). An implementation of the version described by this documentation must use the string `1.0` here.

      After the protocol version there must be a space, followed by the implementation name. The format of the implementation name is unspecified. It is recommended that it include an implementation version number. An implementation can use an empty string as its implementation name, for example for security reasons.

      Specified by:
        `getVersion` in interface `RMIServer`
      Returns:
        a string with the format described here.
      Throws:
        `RemoteException` - if there is a communication exception during the remote method call.

    - #### newClient

          public RMIConnection newClient(Object $param_Object_1)
                                  throws IOException

      Description copied from interface: `RMIServer`

      Makes a new connection through this RMI connector. Each remote client calls this method to obtain a new RMI object representing its connection.

      Specified by:
        `newClient` in interface `RMIServer`
      Parameters:
        `$param_Object_1` - this object specifies the user-defined credentials to be passed in to the server in order to authenticate the user before creating the `RMIConnection`. Can be null.
      Returns:
        the newly-created connection object.
      Throws:
        `IOException` - if the new client object cannot be created or exported, or if there is a communication exception during the remote method call.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.